const mongoose = require('mongoose') ;

const Schema = mongoose.Schema ;

const courseTypeSchema = new Schema({
    name : {
        type : String ,
        required : true 
    } ,
    tier : {
        type:Number ,
        required : true
    } ,
    amount : {
        type : Number ,
        required : true
    }  ,
    course : {
        type : mongoose.Types.ObjectId ,
        ref : 'Course' ,
        required : true
    }
})

module.exports = mongoose.model('CourseType' , courseTypeSchema) ;